/regions#
Region lookup data
Endpoint#
GET |
https://hyperion.api.synmax.com/v4/regions |
Request Examples#
curl -X GET "https://hyperion.api.synmax.com/v4/regions" \
-H "Access-Key: $API_TOKEN"
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
fetch_regions_resp = hyperion_api_client.fetch_regions()
fetch_regions_df = fetch_regions_resp.df()
fetch_regions_df.head()
# Example of a Windows PowerShell request to the fetch_regions endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/regions' -Method 'GET' -Headers $headers
$response | ConvertTo-Json
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
county |
string |
The county the well is in |
CAMPBELL |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
state_code |
string |
A state abbreviation |
WY |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Normal Output#
county |
region_natgas |
state_code |
sub_region_natgas |
|---|---|---|---|
BIENVILLE (LA) |
gulf |
LA |
Haynesville - LA |
BOSSIER (LA) |
gulf |
LA |
Haynesville - LA |
CADDO (LA) |
gulf |
LA |
Haynesville - LA |
CLAIBORNE (LA) |
gulf |
LA |
Haynesville - LA |
DE SOTO (LA) |
gulf |
LA |
Haynesville - LA |
NATCHITOCHES (LA) |
gulf |
LA |
Haynesville - LA |
RED RIVER (LA) |
gulf |
LA |
Haynesville - LA |
SABINE (LA) |
gulf |
LA |
Haynesville - LA |
WEBSTER (LA) |
gulf |
LA |
Haynesville - LA |
OUACHITA (LA) |
gulf |
LA |
N LA |